# 2つのセグメンテーション方法の結果の違い

ドキュメント [分位数を利用してRFMを計算する](article:19) と [k平均法を利用してRFMを計算する](article:22) では、2つのセグメンテーション手法がどのように機能するのかを説明しました。
ニーズに合ったものを選ぶための参考情報として、2つの手法の違いについて説明します。


# 前提

引き続き、顧客2500人の「バスケット合計」の分布を分析します。 :arrow_down:

![total_basket_distribution.png](09velPXoCMT5)

それぞれの手法について、金額スコアがどのように分布しているかを見てみます。:arrow_down:

## バスケットの分布（金額スコアで色分け）
![monetary_value_scores_distribution_benchmark.png](1ePupNLZSmvc)


## 金額スコア毎の顧客数
![monetary_value_scores_counts_benchmark.png](0CVw8fwP8EeU)


これで、違いがより明確になったはずです。
- 分位数法は、同じサイズの顧客のグループを作成する傾向があります。
  - **注**：データの内容によっては、分位数が他の分位数を吸収してしまうことがあります。これは、列の中に重複する値が多くある場合に起こります。
- k平均法は、似たようなバスケット合計を持つ顧客をグループ化する傾向があり、「**M**1」グループには19人の顧客しか含まれませんが、「**M**5」グループには1087人の顧客が含まれます。



