# セクションの説明

このセクションでは、プロジェクトの自動化を有効にできます。この設定により、プロジェクトは時間の経過に合わせて顧客のRFMデータを自動的に更新できるようになります。

![dataiku_app_automation.png](IIPWbFXafowP)

## セクションの操作

### 自動化の設定
![dku_app_automation_strategy.png](P4dD84a5fnaq)

このセクションでは、自動化を有効にしたときにどのパラメータを更新するかを設定できます。

設定内容は、アプリケーションのパラメータによって異なる可能性があります。以下の表は、自動化の前提条件に応じた状況を示しています :arrow_down::  
![dku_app_automation_settings_matrix.png](mJDoJTBI8qJU)


**セクションのパラメータ**
- *フローの自動化を有効にする(Enable flow automation)*: このパラメータでは、フローオートメーションを有効にするかどうかを選択できます。
- 参照期間の自動化設定(Reference period automation settings):
  - *RFM スコアリング方法を更新する(Update RFM scoring)*: このパラメータでは、RFM スコアリング方法を更新するかどうか選択できま す。
 :warning:: 実行すると、全く新しい方法で顧客をセグメント化することになります。これまでチャンピオン(もしくは、休眠中)であった顧客が、別のセグメントに移動する可能性があります。
- 伝播期間の自動化設定(Larger period automation settings):
  - *伝播開始日を更新する(Update propagation start)*: このパラメータでは、フローが再構築されるたびに[RFMの伝播](article:40)で定義した伝播開始日を更新するかどうかを選択できます。


### フロー自動化の開始
![dku_app_activate_flow_automation.png](MU9LfmVTpsbT)

自動化のための前提条件を全て確認した後、*自動処理開始 (ACTIVATE)*ボタンをクリックすると、シナリオが実行されます。

シナリオが成功した後、[refresh_flow_over_time](scenario:REFRESH_FLOW_OVER_TIME)シナリオを調整し、ビジネスニーズに応じて、全てのフローをリフレッシュするトリガーを定義することができます。

下の図は、トリガー定義がどのようなものかを示しています。この例では、トリガーは毎月最終日の23:59にフローのリフレッシュを実行します。

![dku_app_refresh_flow_over_time.png](QQWCGkaV1qGo)


シナリオの実行をビジネス要件に合わせるため、多くの異なるトリガーを設定できます([トリガーに関する公式ドキュメントを参照](https://doc.dataiku.com/dss/latest/scenarios/triggers.html))。



